<?php
require(dirname(__FILE__) .'/check.php');
$skin->CheckIframe();


/* **** 版权所有 ****

 程序开发：网钛科技
 网钛CMS官网：http://otcms.com
 网钛IDC官网：http://idccms.com
 ＱＱ：877873666
 微信：QQ877873666
 邮箱：877873666@qq.com

 **** 版权所有 **** */


//打开用户表，并检测用户是否登录
$MB->Open('','login');

$skin->WebTop();


echo('
<script language="javascript" type="text/javascript" src="js/inc/list.js?v='. OT_VERSION .'"></script>
<script language="javascript" type="text/javascript" src="js/vpsClass.js?v='. OT_VERSION .'"></script>
');



switch ($mudi){
	case 'manage':
		$MB->IsSecMenuRight('alertBack',306,$dataType);
		manage();
		break;

	default:
		die('err');
}

$skin->WebBottom();

$MB->Close();
$DB->Close();





function manage(){
	global $DB,$MB,$skin,$mudi,$dataType,$dataTypeCN,$pageCount,$recordCount;

	$dataMode	= OT::GetStr('dataMode');
	$dataModeStr= OT::GetStr('dataModeStr');

	$payArr = AdmArea::GetAppIdArr();	// 获取已购买插件appID数组 in ('. implode(',',$payArr) .')

	$skin->TableTop2('share_list.gif','',$dataTypeCN .'管理');
	$skin->TableItemTitle('5%,5%,25%,15%,10%,10%,10%,10%,10%','编号,ID,产品模块名称,前缀名,开通量,数字位数,排序,状态,修改　删除');

	$pageSize	= $MB->mMbRow['MB_itemNum'];		//每页条数
	$page		= OT::GetInt('page');	// (VC_ID<=10 and VC_state=1) or VC_ID>=11
	$showRow=$DB->GetLimit('select * from '. OT_dbPref .'vpsClass where VC_appID<>999 order by VC_rank ASC',$pageSize,$page);
	if (! $showRow){
		// $skin->TableNoData();
	}else{
		$recordCount=$DB->GetRowCount();
		$pageCount=ceil($recordCount/$pageSize);
		if ($page < 1 || $page > $pageCount){$page=1;}

		echo('
		<tbody class="tabBody padd3td">
		');
		$number=1+($page-1)*$pageSize;
		$rowCount = count($showRow);
		for ($i=0; $i<$rowCount; $i++){
			if ($i % 2 == 1){ $bgcolor='class="tabColorTr"'; }else{ $bgcolor=''; }

			echo('
			<tr id="data'. $showRow[$i]['VC_ID'] .'" '. $bgcolor .'>
				<td align="center">'. $number .'</td>
				<td align="center">'. $showRow[$i]['VC_ID'] .'</td>
				<td align="center">'. $showRow[$i]['VC_theme'] .'</td>
				<td align="center">'. $showRow[$i]['VC_prefName'] .'</td>
				<td align="center">'. $showRow[$i]['VC_useNum'] .'</td>
				<td align="center">'. $showRow[$i]['VC_numLen'] .'</td>
				<td align="center">'. $showRow[$i]['VC_rank'] .'</td>
				<td align="center">'. Adm::SwitchBtn('vpsClass',$showRow[$i]['VC_ID'],$showRow[$i]['VC_state'],'state','') .'</td>
				<td align="center">
					<img src="images/img_rev.gif" style="cursor:pointer;" onclick=\'DataDeal.location.href="vpsClass_deal.php?mudi=send&dataType='. $dataType .'&dataTypeCN='. urlencode($dataTypeCN) .'&dataMode='. $dataMode .'&dataModeStr='. $dataModeStr .'&dataID='. $showRow[$i]['VC_ID'] .'&typeNum='. $number .'"\' alt="" />&ensp;&ensp;
					<img src="images/img_del.gif" style="cursor:pointer;" onclick=\'if(confirm("确定删除？")==true){DataDeal.location.href="vpsClass_deal.php?mudi=del&dataType='. $dataType .'&dataTypeCN='. urlencode($dataTypeCN) .'&theme='. urlencode($showRow[$i]['VC_theme']) .'&dataID='. $showRow[$i]['VC_ID'] .'"}\' alt="" />
				</td>
			</tr>
			');
		$number ++;
		}
		echo('
		</tbody>
		');
	}
	unset($showRow);
		
	echo('
	<form method="post" id="dealForm" name="dealForm" action="vpsClass_deal.php?mudi=add" onsubmit="return CheckForm(this)">
	<script language="javascript" type="text/javascript">document.write(\'<input type="hidden" name="backURL" value="\'+ document.location.href +\'">\')</script>
	<input type="hidden" id="dataType" name="dataType" value="'. $dataType .'" />
	<input type="hidden" id="dataTypeCN" name="dataTypeCN" value="'. $dataTypeCN .'" />
	<input type="hidden" id="dataID" name="dataID" value="0" />
	<tr>
		<td id="numID" align="center"><br /></td>
		<td align="center"><br /></td>
		<td align="center"><input type="text" id="theme" name="theme" size="25" style="width:130px;" /></td>
		<td align="center"><input type="text" id="prefName" name="prefName" size="25" style="width:100px;" /></td>
		<td align="center"><br /></td>
		<td align="center"><input type="text" id="numLen" name="numLen" size="25" style="width:40px;" /></td>
		<td align="center"><input type="text" id="rank" name="rank" size="3" value="'. (intval($DB->GetOne("select max(VC_rank) from ". OT_dbPref ."vpsClass"))+10) .'" onkeyUp="this.value=FiltInt(this.value)" /></td>
		<td align="center"><select id="state" name="state"><option value="1">显示</option><option value="0">隐藏</option></select></td>
		<td align="center"><input id="subButton" type="image" src="'. AdmTpl::ImgSrc('button_add') .'" /></td>
	</tr>
	</form>
	');

	$skin->TableBottom2($pageCount, $pageSize, $recordCount);

	echo('
	<div style="padding:6px;color:red;">提示：前缀名+数字，是指开通机器时的名称，比如云服务器前缀名vps，那么机器编码vps0001</div>
	');
}

?>